Package org.eclipse.emf.cdo.transaction

# Interface CDOXASavepoint

All Superinterfaces:
  `CDORollbackable`, `CDOUserSavepoint`

All Known Subinterfaces:
  `InternalCDOXASavepoint`

public interface CDOXASavepoint extends CDOUserSavepoint
Creates a save point in a `CDOXATransaction` that can be used to roll back a part of the transaction.

Note: Save points do not flush to disk. Everything is done in memory on the client side.

Since:
  3.0
Author:
  Eike Stepper
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Method Summary

Modifier and Type
Method
Description
`CDOXASavepoint`
`getNextSavepoint()`
Returns the next savepoint in the transaction's savepoint sequence.
`CDOXASavepoint`
`getPreviousSavepoint()`
Returns the previous savepoint in the transaction's savepoint sequence.
`List<CDOSavepoint>`
`getSavepoints()`
`CDOXATransaction`
`getTransaction()`
Returns the transaction that owns this savepoint.

### Methods inherited from interface org.eclipse.emf.cdo.transaction.CDOUserSavepoint

`getNumber, isLast, isValid, rollback`

## Method Details

### getTransaction

CDOXATransaction getTransaction()
Description copied from interface: `CDOUserSavepoint`
Returns the transaction that owns this savepoint.

Specified by:
  `getTransaction` in interface `CDOUserSavepoint`
Returns:
  the owning transaction.

### getNextSavepoint

CDOXASavepoint getNextSavepoint()
Description copied from interface: `CDOUserSavepoint`
Returns the next savepoint in the transaction's savepoint sequence.

Specified by:
  `getNextSavepoint` in interface `CDOUserSavepoint`
Returns:
  the next savepoint, or `null`.

### getPreviousSavepoint

CDOXASavepoint getPreviousSavepoint()
Description copied from interface: `CDOUserSavepoint`
Returns the previous savepoint in the transaction's savepoint sequence.

Specified by:
  `getPreviousSavepoint` in interface `CDOUserSavepoint`
Returns:
  the previous savepoint, or `null`.

### getSavepoints

List<CDOSavepoint> getSavepoints()